Backup (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.onlinebackup.Backup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.onlinebackup
Interface Backup

All Known Implementing Classes:
  Neo4jBackup

    public interface Backup

Online backup for Neo4j.

Method Summary
`void` | `disableFileLogger()` Disable logging to file.
`void` | `doBackup()` Perform the backup.
`void` | `enableFileLogger()` Enable logging to file.
`void` | `enableFileLogger(FileHandler handler)` Enable a user-provided `FileHandler`
`void` | `enableFileLogger(String filename)` Enable logging to the specified file.
`void` | `setLogLevelDebug()` Enable debug logging.
`void` | `setLogLevelNormal()` Set logging to normal.
`void` | `setLogLevelOff()` Turn off all logging.

Method Detail

### doBackup

    void doBackup()
                  throws IOException

  Perform the backup.

  Throws:
    `IOException`

### enableFileLogger

    void enableFileLogger()
                          throws SecurityException,
                                 IOException

  Enable logging to file. The log messages will be appended to the backup.log file in the current working directory.

  Throws:
    `SecurityException`
    `IOException`

### enableFileLogger

    void enableFileLogger(String filename)
                          throws SecurityException,
                                 IOException

  Enable logging to the specified file.

  Parameters:
    `filename` - file name of log file
  Throws:
    `SecurityException`
    `IOException`

### enableFileLogger

    void enableFileLogger(FileHandler handler)

  Enable a user-provided `FileHandler`

  Parameters:
    `handler` - file handler for logging

### disableFileLogger

    void disableFileLogger()

  Disable logging to file.

### setLogLevelDebug

    void setLogLevelDebug()

  Enable debug logging. Adds debug output to both console and file (if file output is enabled).

### setLogLevelNormal

    void setLogLevelNormal()

  Set logging to normal. Changes settings for both console and file output.

### setLogLevelOff

    void setLogLevelOff()

  Turn off all logging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.